base_url = "https://moxxy.org"
title = "Moxxy | A modern XMPP client"
description = "A modern XMPP client"

compile_sass = false
build_search_index = false
generate_feed = true
feed_filename = "feed.xml"

[extra]
heroText = "An experimental and modern XMPP client"
mainScreenshot = "img/screenshots/1.png"

features = [
    "End-to-End encryption using OMEMO (0.8.3)",
    "Stickers",
    "Reactions",
    "Retract messages",
    "Voice messages",
    "Swipe-to-quote",
    "Chat background images",
    "Optional privacy-preserving integration with phone contacts",
    "Open-Source"
]

screenshots = [
    "img/screenshots/1.png",
    "img/screenshots/2.png",
]

sourceUrl = "https://codeberg.org/moxxy/moxxy"
githubMirrorUrl = "https://github.com/PapaTutuWawa/moxxy"
generalMuc = "xmpp:moxxy@muc.moxxy.org?join"
developmentMuc = "xmpp:dev@muc.moxxy.org?join"

[[extra.libraries]]
url = "https://codeberg.org/moxxy/moxxmpp"
name = "moxxmpp"
desc = "XMPP library written in Dart"
specific = false

[[extra.libraries]]
url = "https://codeberg.org/moxxy/moxdns"
name = "moxdns"
desc = "DNS SRV resolver for Flutter"
specific = true

[[extra.libraries]]
url = "https://codeberg.org/moxxy/moxlib"
name = "moxlib"
desc = "Shared functions for Moxxy-specific projects"
specific = true

[[extra.libraries]]
url = "https://codeberg.org/moxxy/moxxy_native"
name = "moxxy_native"
desc = "Platform-specific code"
specific = true

[[extra.libraries]]
url = "https://codeberg.org/PapaTutuWawa/omemo_dart"
name = "omemo_dart"
desc = "Implementation of the cryptography for OMEMO 0.8.3 with a high-level interface"
specific = false

[[extra.customXeps]]
name = "Extensible File Thumbnails"
desc = "Provide an extensible way of specifying thumbnails that are neccessarily binary data"
url = "https://codeberg.org/moxxy/custom-xeps/src/branch/master/xep-xxxx-extensible-file-thumbnails.md"

[[extra.customXeps]]
name = "File Upload Notification"
desc = "Allow communicating that an OOB file upload is currently running to improve the consistency of the conversation"
url = "https://codeberg.org/moxxy/custom-xeps/src/branch/master/xep-xxxx-file-upload-notification.md"

[[extra.badges]]
url = "https://apt.izzysoft.de/fdroid/index/apk/org.moxxy.moxxyv2"
image = "img/badges/IzzyOnDroid.png"

[[extra.badges]]
url = "https://codeberg.org/moxxy/moxxy/releases/latest"
image = "img/badges/codeberg.png"